// __tests__/index.js
import React from "react";
import Feather1sIcon from "../Feather1s";
import Icon from "../index";
import renderer from "react-test-renderer";

test("test to render every icon from iconpack", () => {
  for (let index = 0; index < AVAILABLE_ICONS.length; index++) {
    const iconComponent = renderer
      .create(<Feather1sIcon name={AVAILABLE_ICONS[index]} />)
      .toJSON();
    expect(iconComponent).toBeDefined();
  }
});

test("test is Feather1s type without 'thin' prop", () => {
  const iconComponent = renderer
    .create(<Icon name={AVAILABLE_ICONS[0]} />)
    .toJSON();

  expect(JSON.stringify(iconComponent)).toMatch(/"fontFamily":"feather1s"/);
});

test("test is Feather1s type with 'thin' prop", () => {
  const iconComponent = renderer
    .create(<Icon thin={true} name={AVAILABLE_ICONS[0]} />)
    .toJSON();

  expect(JSON.stringify(iconComponent)).toMatch(/"fontFamily":"feather1s"/);
});

test("test is Feather type", () => {
  const iconComponent = renderer
    .create(<Icon thin={false} name={AVAILABLE_ICONS[0]} />)
    .toJSON();

  expect(JSON.stringify(iconComponent)).toMatch(/"fontFamily":"Feather"/);
});

const AVAILABLE_ICONS = [
  "columns",
  "underline",
  "grid",
  "triangle",
  "search",
  "volume-2",
  "arrow-up-circle",
  "pause-circle",
  "check-square",
  "arrow-down",
  "figma",
  "corner-right-up",
  "chevrons-right",
  "list",
  "chevrons-down",
  "wind",
  "corner-up-right",
  "target",
  "scissors",
  "minimize-2",
  "play-circle",
  "crosshair",
  "airplay",
  "x-octagon",
  "repeat",
  "edit-3",
  "volume-1",
  "sunrise",
  "toggle-right",
  "umbrella",
  "user",
  "file-minus",
  "x-circle",
  "circle",
  "phone-missed",
  "edit-2",
  "corner-left-up",
  "home",
  "gitlab",
  "music",
  "smartphone",
  "more-horizontal",
  "sliders",
  "arrow-up-left",
  "chevron-down",
  "hexagon",
  "github",
  "crop",
  "tag",
  "briefcase",
  "rotate-cw",
  "map",
  "inbox",
  "align-justify",
  "plus-square",
  "power",
  "database",
  "camera-off",
  "toggle-left",
  "file",
  "message-circle",
  "voicemail",
  "terminal",
  "move",
  "maximize",
  "chevron-up",
  "arrow-down-left",
  "file-text",
  "droplet",
  "zap-off",
  "x",
  "bar-chart",
  "lock",
  "log-in",
  "shopping-bag",
  "cloud-drizzle",
  "refresh-cw",
  "chevron-right",
  "clipboard",
  "package",
  "instagram",
  "link",
  "video-off",
  "key",
  "meh",
  "corner-down-right",
  "arrow-right",
  "aperture",
  "stop-circle",
  "log-out",
  "arrow-left-circle",
  "bar-chart-2",
  "git-pull-request",
  "minimize",
  "minus-square",
  "settings",
  "cloud-snow",
  "thumbs-down",
  "type",
  "archive",
  "phone-outgoing",
  "pocket",
  "mail",
  "shield",
  "download",
  "phone-forwarded",
  "corner-right-down",
  "book-open",
  "server",
  "tv",
  "skip-forward",
  "volume",
  "user-plus",
  "battery-charging",
  "layers",
  "slash",
  "radio",
  "book",
  "user-minus",
  "bell",
  "git-branch",
  "coffee",
  "code",
  "thermometer",
  "cast",
  "flag",
  "eye-off",
  "battery",
  "disc",
  "frown",
  "cpu",
  "bold",
  "hash",
  "share-2",
  "plus",
  "check",
  "rotate-ccw",
  "hard-drive",
  "bluetooth",
  "pie-chart",
  "headphones",
  "rss",
  "wifi",
  "corner-up-left",
  "watch",
  "info",
  "user-x",
  "loader",
  "refresh-ccw",
  "folder-plus",
  "git-merge",
  "mic",
  "copy",
  "zoom-in",
  "arrow-right-circle",
  "align-right",
  "image",
  "maximize-2",
  "check-circle",
  "sunset",
  "save",
  "smile",
  "navigation",
  "cloud-lightning",
  "paperclip",
  "fast-forward",
  "x-square",
  "award",
  "zoom-out",
  "box",
  "thumbs-up",
  "percent",
  "sidebar",
  "square",
  "play",
  "git-commit",
  "send",
  "phone-call",
  "speaker",
  "facebook",
  "codesandbox",
  "camera",
  "link-2",
  "printer",
  "folder-minus",
  "arrow-up-right",
  "truck",
  "life-buoy",
  "pen-tool",
  "at-sign",
  "feather",
  "trash",
  "wifi-off",
  "corner-left-down",
  "dollar-sign",
  "star",
  "cloud-off",
  "sun",
  "message-square",
  "edit",
  "anchor",
  "alert-circle",
  "chevrons-up",
  "upload-cloud",
  "youtube",
  "unlock",
  "compass",
  "plus-circle",
  "credit-card",
  "cloud-rain",
  "trash-2",
  "skip-back",
  "file-plus",
  "delete",
  "command",
  "clock",
  "octagon",
  "phone",
  "eye",
  "phone-off",
  "codepen",
  "gift",
  "external-link",
  "zap",
  "trello",
  "more-vertical",
  "mic-off",
  "share",
  "arrow-up",
  "bell-off",
  "video",
  "activity",
  "twitter",
  "map-pin",
  "filter",
  "phone-incoming",
  "italic",
  "chevrons-left",
  "calendar",
  "globe",
  "arrow-left",
  "align-center",
  "minus-circle",
  "arrow-down-right",
  "framer",
  "volume-x",
  "slack",
  "cloud",
  "download-cloud",
  "shuffle",
  "rewind",
  "upload",
  "trending-down",
  "pause",
  "arrow-down-circle",
  "bookmark",
  "alert-triangle",
  "user-check",
  "tablet",
  "alert-octagon",
  "menu",
  "chrome",
  "shopping-cart",
  "folder",
  "users",
  "corner-down-left",
  "monitor",
  "minus",
  "help-circle",
  "navigation-2",
  "chevron-left",
  "film",
  "moon",
  "shield-off",
  "layout",
  "mouse-pointer",
  "align-left",
  "heart",
  "trending-up"
];
